#!/usr/bin/perl -w
# -*- mode: cperl; coding: utf-8-unix; indent-tabs-mode: t -*-
# $Id: $
#
# 毎月実行する処理
#
# 0 0 1 * * /path/to/local/cron_m.pl
#
use FindBin;
use lib "$FindBin::Bin/plugins", "$FindBin::Bin/lib";
use strict;
use Cozy::DateTime;
my $SCRIPT = "$FindBin::Bin/manage.pl";
my @ARGS =
(
 # 無効にする処理は、'name=から始まる行頭に#を付けて下さい。

 # ショップ利用料の計算
 # * 先月分のショップの利用料を計算して請求データを作成します。
 # * 作成されたデータは、[モール管理室]-[ショップ情報]-[利用料]に追加されます。
 'name=chrmgr pmd=charge offset=0 exec=1'
);

for my $args (@ARGS) {
	print Cozy::DateTime->new->datetime('[%04d/%02d/%02d %02d:%02d:%02d]'), "\n";
	print "$SCRIPT $args\n";
    !system "$SCRIPT $args" or die $?;
	print "\n";
}

__END__
# Copyright (C) 2000-2012 E-Shoppy Project developing team
# All rights reserved.
