# -*- mode: sql; coding: utf-8-unix; indent-tabs-mode: nil -*-

/* 外部キー */
ALTER TABLE rev ADD CONSTRAINT rev_shp_id_fkey
   FOREIGN KEY (rev_shp_id) REFERENCES shp (shp_id);
ALTER TABLE rev ADD CONSTRAINT rev_ctm_id_fkey
   FOREIGN KEY (rev_ctm_id) REFERENCES ctm (ctm_id);

/* 追加インデックス */
CREATE INDEX rev_shp_id_index ON rev (rev_shp_id);
CREATE INDEX rev_gds_id_index ON rev (rev_gds_id);
CREATE INDEX rev_ctm_id_index ON rev (rev_ctm_id);

# Copyright (C) 2000-2012 E-Shoppy Project developing team
# All rights reserved.
